Package twisted :: Package protocols :: Module policies :: Class TimeoutFactory |
[show private | hide private]
[frames | no frames]

## Class TimeoutFactory

      Factory --+
                |
    ClientFactory --+
                    |
      WrappingFactory --+
                        |
                       TimeoutFactory

Factory for TimeoutWrapper.

Stability: Unstable

Method Summary
| `__init__(self, wrappedFactory, timeoutPeriod)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `WrappingFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `WrappingFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``registerProtocol`(self, p)` Called by protocol to register itself. (inherited from `WrappingFactory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `WrappingFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)
| ``unregisterProtocol`(self, p)` Called by protocols when they go away. (inherited from `WrappingFactory`)

Class Variable Summary
`class` | `TimeoutProtocol`

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.protocols.policies.WrappingFactory.buildProtocol` (inherited documentation)

Class Variable Details

### TimeoutProtocol `TimeoutProtocol` = `twisted.protocols.policies.TimeoutProtocol`

Generated by Epydoc 1.1 on Thu May 8 13:18:54 2003 | http://epydoc.sf.net